# Class MEAdoptiumConfiguration

java.lang.Object
com.io7m.montarre.adoptium.MEAdoptiumConfiguration

All Implemented Interfaces:
  `MEAdoptiumConfigurationType`

public final class MEAdoptiumConfiguration extends Object implements MEAdoptiumConfigurationType
The Adoptium configuration.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `MEAdoptiumConfiguration.Builder`
  Builds instances of type `MEAdoptiumConfiguration`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `URI`
  `baseURI()`
  `static MEAdoptiumConfiguration.Builder`
  `builder()`
  Creates a builder for `MEAdoptiumConfiguration`.
  `static MEAdoptiumConfiguration`
  `copyOf(MEAdoptiumConfigurationType instance)`
  Creates an immutable copy of a `MEAdoptiumConfigurationType` value.
  `boolean`
  `equals(Object another)`
  This instance is equal to all instances of `MEAdoptiumConfiguration` that have equal attribute values.
  `int`
  `hashCode()`
  Computes a hash code from attributes: `baseURI`.
  `String`
  `toString()`
  Prints the immutable value `MEAdoptiumConfiguration` with attribute values.
  `final MEAdoptiumConfiguration`
  `withBaseURI(URI value)`
  Copy the current immutable object by setting a value for the `baseURI` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### baseURI

    public URI baseURI()
    Specified by:
      `baseURI` in interface `MEAdoptiumConfigurationType`
    Returns:
      The base URI

  - ### withBaseURI

    public final MEAdoptiumConfiguration withBaseURI(URI value)
    Copy the current immutable object by setting a value for the `baseURI` attribute. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
    Parameters:
      `value` - A new value for baseURI
    Returns:
      A modified copy of the `this` object

  - ### equals

    public boolean equals(Object another)
    This instance is equal to all instances of `MEAdoptiumConfiguration` that have equal attribute values.
    Overrides:
      `equals` in class `Object`
    Returns:
      `true` if `this` is equal to `another` instance

  - ### hashCode

    public int hashCode()
    Computes a hash code from attributes: `baseURI`.
    Overrides:
      `hashCode` in class `Object`
    Returns:
      hashCode value

  - ### toString

    public String toString()
    Prints the immutable value `MEAdoptiumConfiguration` with attribute values.
    Overrides:
      `toString` in class `Object`
    Returns:
      A string representation of the value

  - ### copyOf

    public static MEAdoptiumConfiguration copyOf(MEAdoptiumConfigurationType instance)
    Creates an immutable copy of a `MEAdoptiumConfigurationType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
    Parameters:
      `instance` - The instance to copy
    Returns:
      A copied immutable MEAdoptiumConfiguration instance

  - ### builder

    public static MEAdoptiumConfiguration.Builder builder()
    Creates a builder for `MEAdoptiumConfiguration`.

         MEAdoptiumConfiguration.builder()
            .setBaseURI(java.net.URI) // optional baseURI
            .build();

    Returns:
      A new MEAdoptiumConfiguration builder